Name:           zeal
Version:        0.3.1
Release:        1%{?dist}
Summary:        Offline documentation browser inspired by Dash

# the libqxt-sourced files are BSD licensed
License:        GPLv3+ and BSD
URL:            https://zealdocs.org/
Source0:        https://github.com/zealdocs/zeal/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  libarchive-devel
# workaround for qt5-qtbase-devel not depending on qt5-qtbase
BuildRequires:  qt5-qtbase
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  xcb-util-keysyms-devel
Requires:       hicolor-icon-theme

# libqxt deprecation notice, encouraging its downstreams to bundle
# the parts they need:
# https://bitbucket.org/libqxt/libqxt/wiki/Home
#
# zeal commit history for qxtglobalshortcut
# showing active maintenance
# https://github.com/zealdocs/zeal/commits/master/src/3rdparty/qxtglobalshortcut
#
# communication with upstream:
# https://github.com/zealdocs/zeal/issues/414
Provides:       bundled(libqxt) = 0.6.2

%description
Zeal is a simple offline documentation browser inspired by Dash.


%prep
%autosetup -p1


%build
%{qmake_qt5} zeal.pro
make %{?_smp_mflags}


%install
%make_install INSTALL_ROOT=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/zeal.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license COPYING
%doc README.md
%{_bindir}/zeal
%{_datadir}/applications/zeal.desktop
%{_datadir}/icons/hicolor/*/apps/zeal.png


%changelog
* Wed Oct 12 2016 Michel Alexandre Salim <michel@dellxps.localdomain> - 0.3.1-1
- Update to 0.3.1

* Sat Sep 24 2016 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Mon Feb 22 2016 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Michel Salim <salimma@fedoraproject.org> - 0.1.1-2
- Update license info, add bundled lib metadata

* Thu Sep 24 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.1-1
- Initial package
